<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelPortfolioRequest StructType
 * @subpackage Structs
 */
class HotelPortfolioRequest extends AbstractStructBase
{
    /**
     * The Synonyms
     * @var bool
     */
    public $Synonyms;
    /**
     * Constructor method for HotelPortfolioRequest
     * @uses HotelPortfolioRequest::setSynonyms()
     * @param bool $synonyms
     */
    public function __construct($synonyms = null)
    {
        $this
            ->setSynonyms($synonyms);
    }
    /**
     * Get Synonyms value
     * @return bool|null
     */
    public function getSynonyms()
    {
        return $this->Synonyms;
    }
    /**
     * Set Synonyms value
     * @param bool $synonyms
     * @return \StructType\HotelPortfolioRequest
     */
    public function setSynonyms($synonyms = null)
    {
        // validation for constraint: boolean
        if (!is_null($synonyms) && !is_bool($synonyms)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($synonyms, true), gettype($synonyms)), __LINE__);
        }
        $this->Synonyms = $synonyms;
        return $this;
    }
}
